Bug 1829405 - test: Managed cluster should start all core operators: failure message too generic
Summary: test: Managed cluster should start all core operators: failure message too ge...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.0
Assignee: W. Trevor King
QA Contact: liujia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-29 14:02 UTC by Periklis Tsirakidis
Modified: 2020-07-13 17:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
test: [Feature:Platform][Early] Managed cluster should [Top Level] [Feature:Platform][Early] Managed cluster should start all core operators [Suite:openshift/conformance/parallel]
Last Closed: 2020-07-13 17:32:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 24948 0 None closed Bug 1829405: test/extended/operators/operators: Rework "start all core operators" 2021-01-13 03:31:32 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:33:01 UTC

Description Periklis Tsirakidis 2020-04-29 14:02:36 UTC
test: [Feature:Platform][Early] Managed cluster should [Top Level] [Feature:Platform][Early] Managed cluster should start all core operators [Suite:openshift/conformance/parallel] failed, see job: 

https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-azure-4.4/1551

Comment 1 Ben Parees 2020-04-30 01:58:09 UTC
Looking through the search results, this test fails on many different operators:
https://search-clayton-ci-search.apps.build01.ci.devcluster.openshift.com/?search=Managed+cluster+should+start+all+core+operators+&maxAge=336h&context=2&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job

1) this bug should be used to improve the test to dump the operator status so we can determine why the operator in question was not available.

2) in the future when this test fails, bugs should opened against the operator that was not started.


Taking a guess on CVO as the owner of this test, please reassign as needed.

Comment 2 W. Trevor King 2020-05-05 05:36:28 UTC
Retitled the bug to make it clear that the scope of this fix is getting a more specific error message out of the test (per comment 1).  Once that lands there will be at least one follow-up bug that addresses the underlying operator issues that are leading to the test failures, but those operator-level changes are out of scope for this particular bug.

Comment 3 W. Trevor King 2020-05-06 18:46:09 UTC
Pulling UpcomingSprint back off.  There's a PR up for this and it's in the merge queue; just needs to pass CI.

Comment 6 W. Trevor King 2020-05-06 20:53:08 UTC
Apparently this test is optional, because the final e2e-gcp run from the PR was green and also failed this test [1]:

  fail [github.com/openshift/origin/test/extended/operators/operators.go:159]: May  6 18:52:45.416: Some cluster operators never became ready: kube-apiserver (Progressing=True NodeInstaller: NodeInstallerProgressing: 1 nodes are at revision 4; 2 nodes are at revision 7)

The blocking-ness of the test is an orthogonal issue, and the new message looks good, so marking VERIFIED.

[1]: https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/pr-logs/pull/24948/pull-ci-openshift-origin-master-e2e-gcp/7619

Comment 7 errata-xmlrpc 2020-07-13 17:32:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.